swagger: "2.0"

info:
  version: 10.1.2
  title: Buscar dados do colaborador
  description: "Realiza a busca de informações do colaborador logado."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Solicitação"
  - name: "BPM - Serviço de Integração"

paths:
  /info-employee:
    post:
      description: "Realiza a busca de informações do colaborador logado."
      deprecated: false

definitions:  
  outputData:
    type: object
    required:
      - employeeId
      - username
      - email
      - contractType
      - hireDate
      - employeeType
      - registerNumber
      - employerId
      - employerNumemp
      - employerTradingName
      - employerCompanyName
      - employerCnpj
      - personId
      - personFullname
      - personCpf
      - jobPositionCode
      - jobPositionName
      - departmentCode
      - departmentName
      - costCenterCode
      - costCenterName
      - workShiftCode
      - workShiftName
    properties:
      employeeId:
        type: string
        description: "Identificador do colaborador"
      username:
        type: string
        description: "Nome do usuário"
      email:
        type: string
        description: "E-mail do colaborador"
      contractType:
        type: string
        description: "Tipo de contrato do colaborador"
      hireDate:
        type: string
        description: "Data de admissão"
      employeeType:
        type: string
        description: "Tipo de colaborador"
      registerNumber:
        type: integer
        description: "Matrícula do colaborador"
      employerId:
        type: string
        description: "Identificador da empresa do colaborador"  
      employerNumemp:
        type: integer
        description: "Código da empresa do colaborador"
      employerTradingName:
        type: string
        description: "Nome social da empresa do colaborador"
      employerCompanyName:
        type: string
        description: "Nome da empresa do colaborador"
      employerCnpj:
        type: string
        description: "CNPJ da empresa do colaborador"
      personId:
        type: string
        description: "Identificador da pessoa vinculada ao colaborador"
      personFullname:
        type: string
        description: "Nome completo do colaborador"
      personCpf:
        type: string
        description: "CPF do colaborador"
      jobPositionCode:
        type: string
        description: "Código do cargo do colaborador"
      jobPositionName:
        type: string
        description: "Descrição do cargo do colaborador"
      departmentCode:
        type: string
        description: "Código do departamento do colaborador"
      departmentName:
        type: string
        description: "Descrição do departamento do colaborador"
      costCenterCode:
        type: string
        description: "Código do centro de custo do colaborador"
      costCenterName:
        type: string
        description: "Descrição do centro de custo do colaborador"
      workShiftCode:
        type: integer
        description: "Código do turno do colaborador"
      workShiftName:
        type: string
        description: "Descrição do turno do colaborador"
